# 工程名称
# 医务通系统-demo工程

## 工程用途及介绍
## demo-platform-service-base模块
> 该工程主要定义api接口，以及生成grpc 
> 该模块可被 app/batch/rpc/web 模块引用
> 如果grpc 代码很多，可以将模块再次划分为2个模块，分别引用
> 该模块会被其他能力中心引用，用于跨能力中心调用

## demo-platform-service-common工程
> 该工程主要定义当前**能力中心**的公共代码，可被app/batch/rpc/web 模块引用
> 可参考 医务通ywt-common工程目录划分

## demo-platform-service-rpc工程
> 该工程主要定义当前**能力中心**的作为服务端的业务逻辑实现，报漏grpc服务
> **该工程可被当前模块 的app/batch/api/web 引用，直接调用该工程相关**
> 可参考 医务通ywt-common工程目录划分

## 以下工程提供http接口
  ## demo-platform-service-app模块
     该工程主要报漏 app小程序/微信公众号前置服务
  ## demo-platform-service-api模块
     该工程主要报漏 外部系统通过api 接口形式调用
  ## demo-platform-service-web模块
     该工程主要报漏 运管台前置服务
  ## demo-platform-service-batch模块
     该工程主要报漏 批量前置服务
## 端口划分：
    api   ：9XXX  ； app：8XXX ； web  ：1XXXX  ；   rpc： 2XXXX ； batch：3XXXX。 在尾部进行累加端口，中间部分补0


             


