package com.ywt.outpatient.config.biz;

import com.ywt.outpatient.api.checkIn.CheckInConstants;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "biz-param.web")
@Data
public class BizParamWebConfig {
    private Integer ywtCovid19ListCount = 100;
    private Integer nearByDistance = CheckInConstants.NEARBY_DISTANCE_NEW;
    private String byFtpAppid;
    private String byFtpAppsecret;
    private String byFtpUrl;
}
