package com.ywt.outpatient.params.mg.order;

import com.ywt.outpatient.params.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 获取商品列表接口Request
 **/
@ApiModel(value = "获取商品列表接口Request")
public class ConfirmPaymentRequest extends PageRequest implements Serializable {

    @ApiModelProperty(value = "订单ID", example = "")
    private int goodsOrdersId;

    public int getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(int goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

}
