package com.ywt.outpatient.params.mg.order;

import com.ywt.outpatient.params.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 获取商品列表接口Request
 **/
@ApiModel(value = "获取商品列表接口Request")
public class GetGoodsListRequest extends PageRequest implements Serializable {

    @ApiModelProperty(value = "商品类型ID", example = "")
    private int typeId;

    public int getTypeId() {
        return typeId;
    }

    public void setTypeId(int typeId) {
        this.typeId = typeId;
    }
}
