package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface ChecklistOrdersDagnosisHistoryRepository extends JpaRepository<ChecklistOrdersDagnosisHistory, Integer>, JpaSpecificationExecutor<ChecklistOrdersDagnosisHistory> {
    List<ChecklistOrdersDagnosisHistory> findAllByUserIdAndHospitalIdAndDeleted(int userId, int hospitalId, int deleted);

    ChecklistOrdersDagnosisHistory findFirstByIdAndDeleted(int id, int deleted);
}