package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface CheckupBookingNoticeRepository extends JpaRepository<CheckupBookingNotice, Integer>, JpaSpecificationExecutor<CheckupBookingNotice> {

    @Query(value = "select * from checkup_booking_notice where ord_sets_id = ? and  hospital_id = ? and deleted = 0;", nativeQuery = true)
    CheckupBookingNotice findByOrdSetsId(String ordSetsId, int hospitalId);
}