package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DoctorInfoAuditViewRepository extends JpaRepository<DoctorInfoAuditView, Integer> {
    /**
     * 获取所有正在认证的医生信息
     * @return
     */
    @Query(value = "SELECT * FROM doctor_info_audit_view WHERE audit_type = 1 and audit_status = 0 and is_deleted = 0", nativeQuery = true)
    List<DoctorInfoAuditView> findAllDoctorInfoAuditing();
}
