package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface DoctorInfoViewRepository extends JpaRepository<DoctorInfoView, Integer> {

    @Query(value = "select * from doctor_info_view where id = ? limit 1;", nativeQuery = true)
    DoctorInfoView findOneByDoctorId(int doctorId);
}
