package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DoctorQrCodeUrlRepository extends JpaRepository<DoctorQrCodeUrl, Integer>, JpaSpecificationExecutor<DoctorQrCodeUrl> {

    @Query(nativeQuery = true, value = "select * from doctor_qr_code_url where doctor_id = ? and hospital_id = ? and deleted = 0;")
    List<DoctorQrCodeUrl> getDoctorQrCodeUrlListByDoctorId(int doctorId, int hospitalId);
}