package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface EquipmentPersonnelRepository extends JpaRepository<EquipmentPersonnel, Integer>, JpaSpecificationExecutor<EquipmentPersonnel> {
    EquipmentPersonnel findFirstByMobileAndStatusAndDeleted(String mobile, int status, int deleted);
    EquipmentPersonnel findFirstByMobileAndHospitalIdAndStatusAndDeleted(String mobile, int hospitalId, int status, int deleted);
}