package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

public interface MedRecordSettingRepository extends JpaRepository<MedRecordSetting, Integer>, JpaSpecificationExecutor<MedRecordSetting> {
    MedRecordSetting findByUserIdAndIdCardAndDeletedFalseAndDoctorId(int userId, String cardNo, int doctorId);
}