package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface OutpatientServiceMedicalRecordRepository extends JpaRepository<OutpatientServiceMedicalRecord, Integer> {
    @Query(value = "select count(0) from his_outpatient_medical_record where reg_id = ? and medical_card_id = ?;", nativeQuery = true)
    int count(String regId, int medicalCardId);
}
