package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface ScheduleConfigRepository extends JpaRepository<ScheduleConfig, Integer> {

    @Query(value = "select * from schedule_config where doctor_id = ? and deleted = 0 order by create_time desc limit 1;",nativeQuery = true)
    public ScheduleConfig getLatestScheduleConfigByDoctorId(int doctorId);
}
