package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface TeamDoctorViewRepository extends JpaRepository<TeamDoctorView, Integer> {
    List<TeamDoctorView> findByTeamId(int teamId);

    @Query(value = "select * from team_doctor_view where team_status = 1 and status = 1 and doctor_status = 0;", nativeQuery = true)
    List<TeamDoctorView> getDisplayTeamDoctorList();
}
