package com.ywt.outpatient.domain.models.config;

/**
 * TemplateIds Class
 *
 * @author daiyihua
 * @date 2020/01/04
 */
public class ConstantTemplateIds {

    // 线上咨询 --> 患者发起支付成功 --> 问诊提醒
    public static final String CONSULT_PAY_SUCCESS = "9w_ZF1Nyj0ToGq3T0a616DAXx-jbgBnnjZ096wHpFr8";
    // 线上咨询 --> 患者发起支付成功 --> 问诊提醒
    public static final String CONSULT_PAY_SUCCESS_BY = "fvPzKwE7hQfOJ36KaeJY8qmKqgHcPZZdETrJjyT3z0w";

    // 线上咨询 --> 医生接诊 --> 问诊提醒
    public static final String CONSULT_DOCTOR_ACCEPT = "X1zxOikOK7us-8QDQ_O45oHV2Xc7Rd-jPA_PDDUpMUU";
    // 线上咨询 --> 医生接诊 --> 问诊提醒
    public static final String CONSULT_DOCTOR_ACCEPT_BY = "fvPzKwE7hQfOJ36KaeJY8vrt5M8wtFBrG2QpIkzzfK8";

    // 处方 --> 患者选择快递后，支付处方 --> 订单支付成功通知
    public static final String PRESCRIPTION_EXPRESS_PAY_SUCCESS = "LGxzndUC0LzYZuIOtUXEIkDBQ8rs1ZyyHBSiXGUfmyI";

    // 处方 --> 患者选择快递支付处方后，后台收到快递寄出数据时 --> 物流配送通知 (发起来源：南方医院太和互联网医院小程序)
    public static final String PRESCRIPTION_EXPRESS_DISPATCHING_NOTIFICATION = "faJm_mX85QVkNWp7-xyH9Uh6N9aSePDCh24vwmU2VM4";

    // 处方 --> 患者选择快递支付处方后，后台收到快递抵达数据时 --> 物流配送通知 (发起来源：顺丰)
    public static final String PRESCRIPTION_EXPRESS_DISPATCHING_NOTIFICATION_SF = "faJm_mX85QVkNWp7-xyH9VCHgATQGDGBn3qL2Ks4lro";

    // 处方 --> 患者选择自取，支付后 --> 取药提醒
    public static final String PRESCRIPTION_TAKE_PAY_SUCCESS = "bn6A99juFPzGMKcW-GYonN0RC9nuj3Qe1DyB5ZMLXdk";

    // 处方 --> 患者选择自取，药房点击“发药” --> 取药提醒
    public static final String PRESCRIPTION_TAKE_DISPENSING = "bn6A99juFPzGMKcW-GYonBdpd-sMAf9CVDbGjphUfBg";

    // 线下就诊 --> 患者支付线下就诊成功 --> 就诊提醒
    public static final String OFFLINE_CONSULT_PAY_SUCCESS = "dndsuueD3j6djpBL-MH4M-3iANDmYQbSqNi-coo8AtY";












}
