package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * (User)实体类
 *
 * @author makejava
 * @since 2019-04-29 17:12:15
 */
@Entity
@Table(name = "user")
public class User implements Serializable {
    private static final long serialVersionUID = -55142933287063573L;
    
        //主键
    @Id
    @Column(name = "id")
    private Integer id;
    
    //用户名
    @Column(name = "user_name")
    private String userName;
    //真实 姓名
    @Column(name = "real_name")
    private String realName;
    //证件类型（1-身份证）
    @Column(name = "id_certificate_type")
    private Integer idCertificateType;
    //证件号码
    @Column(name = "id_certificate_no")
    private String idCertificateNo;
    //手机号
    @Column(name = "mobile")
    private String mobile;
    //性别（0-未知 1-男 2-女）
    @Column(name = "sex")
    private Integer sex;
    //年龄
    @Column(name = "age")
    private Integer age;
    
    @Column(name = "avatar")
    private String avatar;
    //出生日期
    @Column(name = "birthday")
    private String birthday;
    //密码
    @Column(name = "password")
    private String password;
    //密码验证码
    @Column(name = "salt")
    private String salt;
    //创建时间
    @Column(name = "create_time")
    private LocalDateTime createTime;
    //注册ip
    @Column(name = "register_ip")
    private String registerIp;
    //省
    @Column(name = "province")
    private String province;
    //市
    @Column(name = "city")
    private String city;
    //区
    @Column(name = "area")
    private String area;
    //用户状态（0-正常 1-锁定）
    @Column(name = "status")
    private Integer status;
    //是否删除（标识物理删除）
    @Column(name = "is_deleted")
    private Boolean isDeleted;
    //用户类型（1-普通用户 2-医生）
    @Column(name = "user_type")
    private Integer userType;
    //微信union_id
    @Column(name = "union_id")
    private String unionId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getIdCertificateType() {
        return idCertificateType;
    }

    public void setIdCertificateType(Integer idCertificateType) {
        this.idCertificateType = idCertificateType;
    }

    public String getIdCertificateNo() {
        return idCertificateNo;
    }

    public void setIdCertificateNo(String idCertificateNo) {
        this.idCertificateNo = idCertificateNo;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getRegisterIp() {
        return registerIp;
    }

    public void setRegisterIp(String registerIp) {
        this.registerIp = registerIp;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Boolean getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Boolean isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

}