package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface AdverseReactionRepository extends JpaRepository<AdverseReaction, Integer>, JpaSpecificationExecutor<AdverseReaction> {

    @Query(value = "select * from ywt_center.adverse_reaction where deleted = 0 ;", nativeQuery = true)
    List<AdverseReaction> getAllNotDeleted();
}