package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface BankCardRepository extends JpaRepository<BankCard, Integer> {

    @Query(value = "select count(*) from bank_card where user_id = ? and is_deleted = 0", nativeQuery = true)
    int getBankCardCountByUserId(Integer userId);
}
