package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface FollowUpConfigRepository extends JpaRepository<FollowUpConfig, Integer> {

    @Query(value = "select * from follow_up_config where trigger_time < now() and type <> 4 and status = 0 and deleted = 0", nativeQuery = true)
    List<FollowUpConfig> getFollowUpConfigList();
}
