package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface MedicalEquipmentRepository extends JpaRepository<MedicalEquipment, Integer>, JpaSpecificationExecutor<MedicalEquipment> {
    int countAllByHospitalIdAndUseStatusAndStatusAndDeleted(int hospitalId, int useStatus, int status, int deleted);
    List<MedicalEquipment> findAllByHospitalIdAndUseStatusAndStatusAndDeleted(int hospitalId, int useStatus, int status, int deleted);
}