package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface QuickLanguageRepository extends JpaRepository<QuickLanguage, Integer> {

    /**
     * 得到所有显示的快捷语
     * @return
     */
    @Query(value = "select * from quick_language where status = 1 order by weight desc,create_time desc; ",nativeQuery = true)
    List<QuickLanguage> getAllList();
}
