package com.ywt.outpatient.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ServicePackageRepository extends JpaRepository<ServicePackage, Integer> {

    @Query(value = "select * from service_package where type = ? and deleted = 0 order by weight desc;", nativeQuery = true)
    List<ServicePackage> getServicePackageList(int type);
}
