package com.ywt.outpatient.domain.models;

/**
 * @author daiyihua
 * @create 2021-02-01 11:19
 * @program ywt_mg
 * @description 权限点显示路径常量
 **/
public class ConstantRightDisplayDef {


    /**
     * 视光中心客户端--眼镜订单--添加(详情)--确认支付 按钮显示
     * todo: 没勾选“眼镜订单详情-支付”权限，则在列表不显示"确认支付"按钮。
     */
    public static final String GOODS_ORDERS_CONFIRM_PAYMENT = "/mg/order/confirmPayment";

    /**
     * 视光中心客户端--眼镜订单--添加(详情)--确认退费 按钮显示
     * todo: 没勾选“眼镜订单详情-退费”权限，则在列表不显示"确认退费"按钮。
     */
    public static final String GOODS_ORDERS_REFUND_ORDER= "/mg/order/refundOrder";

}
