package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import org.springframework.data.jpa.repository.JpaRepository;

/**
 * (UserUnions)表Repository类
 *
 * @author johnson lin
 * @since 2019-05-09 15:10:25
 */
public interface UserUnionsRepository extends JpaRepository<UserUnions, Integer> {
    /**
     * 获取 UserUnions
     *
     * @param userId
     * @param unionUserId
     * @param type
     * @return
     */
    UserUnions getFirstByUserIdAndUnionUserIdAndTypeAndDeletedFalse(int userId, int unionUserId, int type);


}