package com.ywt.outpatient.taihe.rpc.service;

/**
 * 常量定义
 *
 * @author johnson lin
 * @date 2019-04-29 9:45 PM
 */
public class Constants {
    /**
     * 太和医院Id
     */
    public static final int TAIHE_HOSPITAL_ID = 12;

    /**
     * 白云分院医院 id
     */
    public static final int NFYYBYFY_HOSPITAL_ID = 41;

    /**
     * 南方医院白云分院名称
     */
    public static final String NFYYBYFY_HOSPITAL_NAME = "南方医科大学南方医院白云分院";
    /**
     * 太和医院名称
     */
    public static final String TAIHE_HOSPITAL_NAME = "南方医院太和分院";

    /**
     * 南方医院太和分院（互联网医院名医诊区/名医门诊）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE = "441";
    /**
     * 南方医院白云分院（互联网医院名医诊区/名医门诊）科室编码
     */
    public static final String NFYYBYFY_NET_DEPT_CODE = "";// TODO: 2020/12/7 待定
    /**
     * 南方医院太和分院（互联网医院名医诊区夜诊）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE_NIGHT_DIAGNOSIS = "729";
    /**
     * 太和支付代码
     */
    public static final String TAIHE_PAY_CODE = "1002";

    /**
     * 白云分院支付代码
     */
    public static final String NFYYBYFY_PAY_CODE = "1015";

    /**
     * 白云分院里太和挂号的支付代码
     */
    public static final String NFYYBYFY_TAIHE_REG_PAY_CODE = "1018";

    /**
     * 南方医院太和分院儿科科室编码
     */
    public static final String TAIHE_PEDIATRIC_DEPT_CODE = "419";

    /**
     * 南方医院白云分院儿科科室编码
     */
    public static final String NFYYBYFY_PEDIATRIC_DEPT_CODE = "";// TODO: 2020/12/7 待定
    /**
     * 南方医院太和分院内科科室编码
     */
    public static final String TAIHE_INTERNAL_MEDICINE_DEPT_CODE = "394";
    /**
     * 南方医院白云分院内科科室编码。若有多个，有英文逗号分隔。
     */
    public static final String NFYYBYFY_INTERNAL_MEDICINE_DEPT_CODE = "493,367";

    /**
     * 南方医院白云分院呼吸内科科室编码。
     */
    public static final String NFYYBYFY_INTERNAL_BREATHE_MEDICINE_DEPT_CODE = "367";

    /**
     * 系统出错统一提示语
     */
    public static final String ERROR_INFO = "系统开小差，请稍后重试";

    /**
     * 南方医院ID
     */
    public static final int NFYY_HOSPITAL_ID = 1;

    /**
     * 南方医院全名
     */
    public static final String NFYY_HOSPITAL_NAME = "南方医科大学南方医院";
    /**
     * 白云分院支付代码（支付宝）
     */
    public static final String NFYYBYFY_PAY_CODE_ALIPAY = "2000";
    /**
     * 太和支付宝支付代码
     */
    public static final String TH_PAY_CODE_ALIPAY = "2001";

    /**
     * 微信支付
     */
    public static final String PAY_MODE_WECHAT = "WECHATPAY";

    /**
     * 支付宝支付
     */
    public static final String PAY_MODE_ALI = "ALIPAY";


    /**
     * 南方白云分院小程序app id
     */
    public static final String NFYYBYFY_WXMP_APP_ID = "wxbc56e5794abdbb48";


    /**
     * 体检预约订单详情
     */
    public static final String BY_REG_CHECKIN_URL = "by/wait_treatment/reportDetail?areaId=%s&cardNo=%s";

    public static final String BY_MEDICALCARD_URL = "offline_consult/cardList?hospitalId=%d&flag=%d";
    public static final String TH_MEDICALCARD_URL = "https://m.ywtinfo.com/nfthwe/me/medicalCards/%d/%d";
    /**
     * 白云挂号成功通知推送链接，点击跳转进入详情
     */
    public static final String BY_REGISTER_INFO_ORDER_CENTER_LIST = "pages/index/index?entry=by/order_center/list";

    /**
     * 太和挂号成功通知推送链接，点击跳转进入详情
     */
    public static final String TH_REGISTER_INFO_ORDER_CENTER_URL = "/nfthwe/orderCenter";
    public static String GET_YWT_HTTPS_MSITE_DOMAIN = "https://m.ywtinfo.com";

    public static final String CHECK_IN_DETAIL = "pages/index/index?entry=by%%2Fwait_treatment%%2FreportDetail%%3FareaId%%3D%d%%26cardNo%%3D%d%%26sendMessage%%3D%d";

    public static final String REGISTER_DETAIL = "pages/index/index?entry=by%2Forder_center%2Flist";
}
